## mycompiler.mytypereconstruction.replacementlistener
Interface ITypeReplacementListener

All Known Implementing Classes:
  Assign, Binary, BinaryExpr, BoolLiteral, CastExpr, CharLiteral, Constructor, Expr, ExprStmt, FormalParameter, InstanceOf, InstVar, InstVarDecl, IntLiteral, Literal, LocalOrFieldVar, LocalVarDecl, Method, MethodCall, NegativeExpr, NewArray, NewClass, NotExpr, Null, PositivExpr, PostDecExpr, PostIncExpr, PreDecExpr, PreIncExpr, StringLiteral, This, UnaryExpr

    public interface ITypeReplacementListener

Interface für einen TypeReplacementListener, der es ermöglicht, einen Typ gegen einen anderen auszutauschen.

Version:
  $date
Author:
  Jörg Bäuerle

Method Summary
`int` `getTypeLineNumber()` Gibt die Zeilennummer zurück, in der eine `TyploseVariable` angelegt worden ist.
`void` `replaceType(CReplaceTypeEvent e)` Tauscht einen Typ gegen einen anderen aus.

Method Detail

### replaceType

    void replaceType(CReplaceTypeEvent e)

  Tauscht einen Typ gegen einen anderen aus.
  Author: Jörg Bäuerle

  Parameters:
    `e` - Das Event mit dem neuen Typ

### getTypeLineNumber

    int getTypeLineNumber()

  Gibt die Zeilennummer zurück, in der eine `TyploseVariable` angelegt worden ist.
  Author: Jörg Bäuerle

  Returns:
    Die Zeilennummer